org.wildfly.swarm.config.elytron

## Class AggregateRoleMapper<T extends AggregateRoleMapper<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.AggregateRoleMapper<T>

-     public class AggregateRoleMapper<T extends AggregateRoleMapper<T>>
      extends Object

  A role mapper definition where the role mapper is an aggregation of other role mappers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateRoleMapper(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `roleMapper(String value)` The referenced role mappers to aggregate.
    `List<String>` | `roleMappers()` The referenced role mappers to aggregate.
    `T` | `roleMappers(List<String> value)` The referenced role mappers to aggregate.
    `T` | `roleMappers(String... args)` The referenced role mappers to aggregate.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateRoleMapper

          public AggregateRoleMapper(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### roleMappers

          public List<String> roleMappers()

      The referenced role mappers to aggregate.

    - #### roleMappers

          public T roleMappers(List<String> value)

      The referenced role mappers to aggregate.

    - #### roleMapper

          public T roleMapper(String value)

      The referenced role mappers to aggregate.

    - #### roleMappers

          public T roleMappers(String... args)

      The referenced role mappers to aggregate.

Copyright © 2018 JBoss by Red Hat. All rights reserved.